%define pkg_name        Regexp-Bind
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 2.n0i.2

Summary:       Bind variables to captured buffers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/X/XE/XERN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module is an extension to perl's native regexp function. It binds
anonymous hashes or named variables to matched buffers. Both normal regexp
syntax and embedded regexp syntax are supported. You can view it as a tiny
and petite data extraction system.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Jun 17 2006 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
